Fulfillment & ShippingSettings
Update tax settings
PUT
/v1/taxes/settingsUpdate tax settings. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/taxes/settings" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "serviceType": "manual", "serviceActive": false, "pricesIncludeTax": false, "chargeTaxOnShipping": false, "chargeVatOnDigitalGoods": false, "collectDutiesAtCheckout": false }'{ "storeId": "7204558912004325301", "serviceType": "manual", "serviceActive": false, "pricesIncludeTax": false, "chargeTaxOnShipping": false, "chargeVatOnDigitalGoods": false, "collectDutiesAtCheckout": false}